JackTrip

Public Member Functions | List of all members
EmptyHeader Class Reference

Empty Header to use with systems that don't include a header. More...

`#include <PacketHeader.h>`

Inheritance diagram for EmptyHeader:
[legend]
Collaboration diagram for EmptyHeader:
[legend]

## Public Member Functions
| EmptyHeader (JackTrip *jacktrip)
virtual | ~EmptyHeader ()
virtual void | fillHeaderCommonFromAudio ()
virtual void | parseHeader ()
| Parse the packet header and take appropriate measures (like change settings, or quit the program if peer settings don't match) More...
virtual void | checkPeerSettings (int8_t *)
virtual void | increaseSequenceNumber ()
| Increase sequence number for counter, a 16bit number. More...
virtual int | getHeaderSizeInBytes () const
| Get the header size in bytes. More...
virtual uint64_t | getPeerTimeStamp (int8_t *) const
virtual uint16_t | getPeerSequenceNumber (int8_t *) const
virtual uint16_t | getPeerBufferSize (int8_t *) const
virtual uint8_t | getPeerSamplingRate (int8_t *) const
virtual uint8_t | getPeerBitResolution (int8_t *) const
virtual uint8_t | getPeerNumChannels (int8_t *) const
virtual uint8_t | getPeerConnectionMode (int8_t *) const
virtual void | putHeaderInPacket (int8_t *)
| Put the header in buffer pointed by full_packet. More...
Public Member Functions inherited from PacketHeader
| PacketHeader (JackTrip *jacktrip)
| The class Constructor. More...
virtual | ~PacketHeader ()
| The class Destructor. More...
virtual uint16_t | getSequenceNumber () const
| Returns the current sequence number. More...
virtual void | putHeaderInPacketBaseClass (int8_t *full_packet, const HeaderStruct &header_struct)

## Additional Inherited Members
Signals inherited from PacketHeader
void | signalError (const char *error_message)
Static Public Member Functions inherited from PacketHeader
static uint64_t | usecTime ()
| Return a time stamp in microseconds. More...

## Detailed Description

Empty Header to use with systems that don't include a header.

## Constructor & Destructor Documentation

## ◆ EmptyHeader()

EmptyHeader::EmptyHeader | ( | JackTrip * | jacktrip | ) |

## ◆ ~EmptyHeader()

virtual EmptyHeader::~EmptyHeader | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ checkPeerSettings()

virtual void EmptyHeader::checkPeerSettings | ( | int8_t * |  | ) |
| inline virtual

Implements PacketHeader.

## ◆ fillHeaderCommonFromAudio()

virtual void EmptyHeader::fillHeaderCommonFromAudio | ( |  | ) |
| inline virtual

Todo:
  Implement this using a JackTrip Method (Mediator) member instead of the reference to JackAudio

Implements PacketHeader.

## ◆ getHeaderSizeInBytes()

virtual int EmptyHeader::getHeaderSizeInBytes | ( |  | ) | const
| inline virtual

Get the header size in bytes.

Implements PacketHeader.

## ◆ getPeerBitResolution()

virtual uint8_t EmptyHeader::getPeerBitResolution | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ getPeerBufferSize()

virtual uint16_t EmptyHeader::getPeerBufferSize | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ getPeerConnectionMode()

virtual uint8_t EmptyHeader::getPeerConnectionMode | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ getPeerNumChannels()

virtual uint8_t EmptyHeader::getPeerNumChannels | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ getPeerSamplingRate()

virtual uint8_t EmptyHeader::getPeerSamplingRate | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ getPeerSequenceNumber()

virtual uint16_t EmptyHeader::getPeerSequenceNumber | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ getPeerTimeStamp()

virtual uint64_t EmptyHeader::getPeerTimeStamp | ( | int8_t * |  | ) | const
| inline virtual

Implements PacketHeader.

## ◆ increaseSequenceNumber()

virtual void EmptyHeader::increaseSequenceNumber | ( |  | ) |
| inline virtual

Increase sequence number for counter, a 16bit number.

Reimplemented from PacketHeader.

## ◆ parseHeader()

virtual void EmptyHeader::parseHeader | ( |  | ) |
| inline virtual

Parse the packet header and take appropriate measures (like change settings, or quit the program if peer settings don't match)

Implements PacketHeader.

## ◆ putHeaderInPacket()

virtual void EmptyHeader::putHeaderInPacket | ( | int8_t * | full_packet | ) |
| inline virtual

Put the header in buffer pointed by full_packet.

Parameters

  full_packet | Pointer to full packet (audio+header). Size must be sizeof(header part) + sizeof(audio part)

Implements PacketHeader.

The documentation for this class was generated from the following files:

- src/PacketHeader.h
- src/PacketHeader.cpp